Package tigase.server.bosh

## Class BoshSession

- java.lang.Object
- - tigase.server.bosh.BoshSession

-     public class BoshSession
      extends java.lang.Object

  Describe class BoshSession here.
  Created: Tue Jun 5 18:07:23 2007
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoshSession​(java.lang.String def_domain, JID dataReceiver, BoshSessionTaskHandler handler, java.lang.String hostname, int maxWaitingPackets)` | Creates a new `BoshSession` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `disconnected​(BoshIOService bios)` |
    `JID` | `getDataReceiver()` |
    `java.lang.String` | `getDomain()` |
    `java.lang.String` | `getSessionId()` |
    `java.util.UUID` | `getSid()` |
    `void` | `init​(Packet packet, BoshIOService service, long max_wait, long min_polling, long max_inactivity, int concurrent_requests, int hold_requests, long max_pause, int max_batch_size, long batch_queue_timeout, java.util.Queue<Packet> out_results)` |
    `protected void` | `init​(Packet packet, BoshIOService service, long max_wait, long min_polling, long max_inactivity, int concurrent_requests, int hold_requests, long max_pause, int max_batch_size, long batch_queue_timeout, java.util.Queue<Packet> out_results, boolean preBindEnabled)` |
    `void` | `processPacket​(Packet packet, java.util.Queue<Packet> out_results)` |
    `void` | `processSocketPacket​(Packet packet, BoshIOService service, java.util.Queue<Packet> out_results)` |
    `void` | `sendWaitingPackets()` |
    `void` | `setDataReceiver​(JID dataReceiver)` |
    `void` | `setUserJid​(java.lang.String jid)` |
    `boolean` | `task​(java.util.Queue<Packet> out_results, TimerTask tt)` |
    `void` | `terminateBoshSession()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshSession

          public BoshSession​(java.lang.String def_domain,
                             JID dataReceiver,
                             BoshSessionTaskHandler handler,
                             java.lang.String hostname,
                             int maxWaitingPackets)

      Creates a new `BoshSession` instance.

  - ### Method Detail

    - #### close

          public void close()

    - #### disconnected

          public void disconnected​(BoshIOService bios)

    - #### init

          public void init​(Packet packet,
                           BoshIOService service,
                           long max_wait,
                           long min_polling,
                           long max_inactivity,
                           int concurrent_requests,
                           int hold_requests,
                           long max_pause,
                           int max_batch_size,
                           long batch_queue_timeout,
                           java.util.Queue<Packet> out_results)

    - #### processPacket

          public void processPacket​(Packet packet,
                                    java.util.Queue<Packet> out_results)

    - #### processSocketPacket

          public void processSocketPacket​(Packet packet,
                                          BoshIOService service,
                                          java.util.Queue<Packet> out_results)

    - #### sendWaitingPackets

          public void sendWaitingPackets()

    - #### task

          public boolean task​(java.util.Queue<Packet> out_results,
                              TimerTask tt)

    - #### terminateBoshSession

          public void terminateBoshSession()

    - #### getDataReceiver

          public JID getDataReceiver()

    - #### setDataReceiver

          public void setDataReceiver​(JID dataReceiver)

    - #### getDomain

          public java.lang.String getDomain()

    - #### getSessionId

          public java.lang.String getSessionId()

    - #### getSid

          public java.util.UUID getSid()

    - #### setUserJid

          public void setUserJid​(java.lang.String jid)

    - #### init

          protected void init​(Packet packet,
                              BoshIOService service,
                              long max_wait,
                              long min_polling,
                              long max_inactivity,
                              int concurrent_requests,
                              int hold_requests,
                              long max_pause,
                              int max_batch_size,
                              long batch_queue_timeout,
                              java.util.Queue<Packet> out_results,
                              boolean preBindEnabled)